%define name    reppu 
%define version 0.1
%define release 4mdk

Summary: A Blender network render daemon
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source1: %{name}.initd
URL: http://www.imnetti.fi/~desaster/reppu.php3
License: GPL 
Group: Graphics
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: blender

%description
Since blender does not (yet) have network rendering features, reppu functions
as a simple network rendering program. Reppu is currently available for Linux
only.

%package server
Summary: a Blender network render daemon
Group: Networking/Other
Requires: %{name} = %{version}

%description server
Since blender does not (yet) have network rendering features, reppu functions
as a simple network rendering program. Reppu is currently available for Linux
only.

These are the server portions of reppu.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{version}

%build
%make all


%install
mkdir -p $RPM_BUILD_ROOT%{_initrddir}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -s -m 755 reppu $RPM_BUILD_ROOT%{_bindir}
install -m 755 %{SOURCE1}  $RPM_BUILD_ROOT%{_initrddir}/reppu

%post server
/sbin/chkconfig --add reppu

%postun server
/sbin/chkconfig --del reppu

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES COPYING PGP README TODO
%{_bindir}/*

%files server
%defattr(-,root,root)
%{_initrddir}/reppu

%changelog
* Fri Jan 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1-4mdk
- rebuild

* Fri Sep 15 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1-3mdk
- BM
- macros

* Tue Jul 04 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com> 0.1-2mdk
  - v0.1-2mdk
  - updated packaing information

* Mon Jun 26 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v0.1-1mdk (initial packaging)
